const express = require('express');
const router = express.Router();
const axios = require('axios');
const config = require('../config.js');

router.get('/users', (req, res) => {
  const username = req.query.username;
  axios.get(`${process.env.ARQIVE_API_URL}/profile/users/?username=${username}`, config)
  .then((axe) => {
    res.send(axe.data);
  }).catch((err) => {
    res.send(err);
  });
});

module.exports = router;
