const express = require('express');
const router = express.Router();
const axios = require('axios');
const config = require('../config.js');

router.get('/', (req, res) => {
  axios.get(`${process.env.ARQIVE_API_URL}/pins/`, config)
  .then((axe) => {
    res.send(axe.data);
  }).catch((err) => {
    res.send(err);
  });
});

router.post('/', (req, res) => {
  const pin = req.body;
  axios.post('http://www.globaltraqsdev.com/api/pins/', pin, config)
  .then((axe) => {
    res.send(axe.data);
  })
    .catch((err) => {
    console.log(err);
  });
});

module.exports = router;
